Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#70369 - [buildah] Dependency update for runtime

Attached to Project: Community Packages
Opened by Will Christensen (DagoRed) - Thursday, 08 April 2021, 14:31 GMT
Last edited by Morten Linderud (Foxboron) - Sunday, 11 April 2021, 18:44 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Morten Linderud (Foxboron)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

buildah had a change in their default runtime recently.

Original issue found here: https://gitlab.com/buzzcrate/bookdemo/-/jobs/1161804793
Lines 287 and 288.

Fix: Install crun.

Change in buildah that changes the runtime: https://github.com/containers/buildah/pull/2841/files#diff-9a316037f7ed7f8a7ca79bfed97e2f5efeca9c0ec63a80bcdf651142520e7bf8
Line of change: 245

Externally shown issue and remediation/proof of fix: https://gitlab.com/buzzcrate/bookdemo/-/issues/1

Recommended change: add crun as a required dependency, remove runc as a dependency in the PKGBUILD.


This task depends upon

Closed by  Morten Linderud (Foxboron)
Sunday, 11 April 2021, 18:44 GMT
Reason for closing:  Fixed
Additional comments about closing:  1.20.0-2

Loading...